Bug 1028138 - [enh] add libteamdctl method to read raw port configuration
[enh] add libteamdctl method to read raw port configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libteam (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Jan Tluka
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 13:15 EST by Dan Williams
Modified: 2015-05-04 21:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: libteam-1.9-1.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:51:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2013-11-07 13:15:20 EST
When starting up, NetworkManager needs to read the configuration of existing slaves/ports, including Team ports.  There doesn't appear to be a nice way of doing that now.

Would be great to have a counterpart to teamdctl_port_config_update_raw() like:

char *teamdctl_port_config_get_raw (struct teamdctl *tdc, const char *port_devname);
Comment 1 Jiri Pirko 2013-11-12 12:34:08 EST
fixed by upstream commit:

commit e2a93a722a5d2a5f2e01dfcad4699c356d2bbd19
Author: Jiri Pirko <jiri@resnulli.us>
Date:   Tue Nov 12 17:19:20 2013 +0100

    libteamdctl: introduce support for port config get
Comment 4 Ludek Smid 2014-06-13 05:51:49 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.